import axios from "@/utils/axios";
export default {
  /**
   * 查询字典项
   * @param {*} data 
   * @returns 
   */
  getOsSystemDict(data) {
    return axios.post("/xiaoshi/common/getOsSystemDict", data);
  },
  /**
   * 查询应用场景
   * @param {*} data 
   * @returns 
   */
  getScenario(data) {
    return axios.get("/xiaoshi/common/scenario", { data });
  },
  /**
   * 根据应用场景获取处理事项（调查类型）
   * @param {*} data 
   * @returns 
   */
  getMatter(data) {
    return axios.post("/xiaoshi/common/matter", data);
  },

  /**
  * 获取table栏位及分组字段
  */
  getParamsCommon(data) {
    return axios.post('/xiaoshi/common/getParams', data);
  },
  /**
   * 显示栏位管理（查询显示栏位）
   * @param {*} data 
   * @returns 
   */
  getCustomField(params) {
    return axios.get("/xiaoshi/common/getCustomField", { params });
  },
  /**
   * 显示栏位管理（更新显示栏位）
   * @param {*} data 
   * @returns 
   */
  setCustomField(data) {
    return axios.post("/xiaoshi/common/setCustomField", data);
  },
  /**
  * 获取核心结论 
  */
  queryCrons(params) {
    return axios.get("/xiaoshi/common/queryCrons", { params });
  },

  /**
   * 新增自定义栏位
   * @param {*} data 
   * @returns 
   */
  addCustomField(data) {
    return axios.post("/xiaoshi/customField/addCustomField", data);
  },
  /**
   * 查询自定义栏位
   * @param {*} data 
   * @returns 
   */
  queryCustomField(data) {
    return axios.post("/xiaoshi/customField/queryCustomField", data);
  },
  /**
   * 更新自定义栏位
   * @param {*} data 
   * @returns 
   */
  updateCustomField(data) {
    return axios.post("/xiaoshi/customField/updateCustomField", data);
  },
  /**
   * 删除自定义栏位
   * @param {*} data 
   * @returns 
   */
  deleteCustomField(data) {
    return axios.post("/xiaoshi/customField/deleteCustomField", data);
  },
  /**
   * 新增自定义栏位选项
   * @param {*} data 
   * @returns 
   */
  addCustomOption(data) {
    return axios.post("/xiaoshi/customOption/addCustomOption", data);
  },
  /**
   * 查询自定义栏位选项
   * @param {*} data 
   * @returns 
   */
  queryCustomOption(data) {
    return axios.post("/xiaoshi/customOption/queryCustomOption", data);
  },
  /**
   * 更新自定义栏位选项
   * @param {*} data 
   * @returns 
   */
  updateCustomOption(data) {
    return axios.post("/xiaoshi/customOption/updateCustomOption", data);
  },
  /**
   * 删除自定义栏位选项
   * @param {*} data 
   * @returns 
   */
  deleteCustomOption(data) {
    return axios.post("/xiaoshi/customOption/deleteCustomOption", data);
  },


  /**
  * 查询所有标引栏位
  * @param {*} params 
  * @returns 
  */
  getAllPatentCustomField(params) {
    return axios.get("/xiaoshi/customField/getAllPatentCustomField", { params });
  },
  /**
  * 查询所有标引栏位值
  * @param {*} data 
  * @returns 
  */
  getCustomFieldValues(data) {
    return axios.post("/xiaoshi/customField/getCustomFieldValues", data);
  },
  /**
  * 保存自定义栏位顺序
  * @param {*} data 
  * @returns 
  */
  addAllPatentCustomFieldOrder(data) {
    return axios.post("/xiaoshi/customField/addAllPatentCustomFieldOrder", data);
  },
  /**
  * 添加标引
  * @param {*} data 
  * @returns 
  */
  addCustomFieldValue(data) {
    return axios.post("/xiaoshi/customField/addCustomFieldValue", data);
  },
  /**
  * 自定义栏位统计
  * @param {*} data 
  * @returns 
  */
  // esCountSearch(data) {
  //   return axios.post("/xiaoshi/patent/esCountSearch", data);
  // },
  /**
  * 获取检索栏位
  * @param {*} data 
  * @returns 
  */
  getQueryFields(data) {
    return axios.post("/xiaoshi/personField/getQueryFields", data);
  },
  /**
  * 获取表格显示栏位
  * @param {*} data 
  * @returns 
  */
  getTableColumns(data) {
    return axios.post("/xiaoshi/personField/getTableColumns", data);
  },
  /**
  * 设置表格显示栏位
  * @param {*} data 
  * @returns 
  */
  setTableColumns(data) {
    return axios.post("/xiaoshi/personField/setTableColumns", data);
  },
  /**
  * 获取所有统计栏位
  * @param {*} data 
  * @returns 
  */
  getAllCountColumns(data) {
    return axios.post("/xiaoshi/personField/getAllCountColumns", data);
  },
  /**
  * 获取显示的统计栏位
  * @param {*} data 
  * @returns 
  */
  getShowCountColumns(data) {
    return axios.post("/xiaoshi/personField/getShowCountColumns", data);
  },
  /**
  * 设置显示的统计栏位
  * @param {*} data 
  * @returns 
  */
  setShowCountColumns(data) {
    return axios.post("/xiaoshi/personField/setShowCountColumns", data);
  },
  /**
  * 获取统计数据
  * @param {*} data 
  * @returns 
  */
  esCountAnalysis(data) {
    return axios.post("/xiaoshi/patent/esCountAnalysis", data);
  },
  /**
  * 专利数据库批量标引
  * @param {*} data 
  * @returns 
  */
  batchAddCustomField(data) {
    return axios.post("/xiaoshi/customField/batchAddCustomField", data);
  },
  /**
  * 专利数据库项目分享新增
  * @param {*} data 
  * @returns 
  */
  addProjectShare(data) {
    return axios.post("/xiaoshi/patentShare/addProjectShare", data);
  },
  /**
  * 专利数据库项目分享查询
  * @param {*} data 
  * @returns 
  */
  queryProjectShare(data) {
    return axios.post("/xiaoshi/patentShare/queryProjectShare", data);
  },
  /**
  * 专利数据库项目分享删除
  * @param {*} data 
  * @returns 
  */
  removeProjectShare(data) {
    return axios.post("/xiaoshi/patentShare/removeProjectShare", data);
  },
  


};